import QtQuick 1.1
import com.nokia.meego 1.1

Page {
	id: logoPage
	orientationLock: PageOrientation.LockPortrait
	//anchors.margins: rootWindow.pageMargin

	function openFile(file) {
		var component = Qt.createComponent(file)
		if (component.status == Component.Ready)
			pageStack.push(component);
		else
			console.log("Error loading component:", component.errorString());
	}
	Rectangle {
		color: "black"
		anchors.fill: parent
		Image {
			Timer {
				id: logoTimer
				interval: 2000
				running: true
				repeat: false
				onTriggered: {
					logoPage.openFile("MainPage.qml");
				}
			}
			id: logoPic
			anchors.horizontalCenter: parent.horizontalCenter
			anchors.verticalCenter: parent.verticalCenter
			height: 207
			width: 388

			source: "./images/logo.png"

		}
	}
}
