// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.1

Item //UpDownEditor
{
	property int minValue: 0
	property int maxValue: 10
	property int currValue: 0
	property string minusButtText: "-"
	property string plusButtText: "+"

	//anchors.centerIn: parent
	id: main

	width: 200
	height: 50
	//color: parent.color

	function getUpDown(type_butt,cur_value,min_value,max_value)
	{
		var ret_value = cur_value
		if (type_butt=="-")
		{
			if (cur_value > min_value)
			{
				ret_value = cur_value - 1
			}
		}
		else if (type_butt=="+")
		{
			if (cur_value < max_value)
			{
				ret_value = cur_value + 1
			}
		}
		return ret_value
	}

	Row {

		anchors.fill: parent
		Button {
			id: buttMinus

			text: main.minusButtText

			height: main.height
			width: 120

			onClicked:
			{
				main.currValue = main.getUpDown("-",Number(textValue.text),main.minValue,main.maxValue)
			}
		}
		Text{
			id: textValue

			width: main.width-buttMinus.width-buttPlus.width
			text: main.currValue
			font.pixelSize :main.height
			height: main.height
			font.bold: true
			horizontalAlignment: Text.AlignHCenter
			verticalAlignment: Text.AlignVCenter

		}
		Button {
			id: buttPlus

			text: main.plusButtText

			height: main.height
			width: 120

			onClicked:
			{
				main.currValue = main.getUpDown("+",Number(textValue.text),main.minValue,main.maxValue)
			}
		}
	}
}
