import QtQuick 1.1
import com.nokia.meego 1.1
import "./controls"

Page {
	id: aboutPage
	tools: aboutTools
	//anchors.margins: rootWindow.pageMargin
	orientationLock: PageOrientation.LockPortrait

	ToolBarLayout {
		id: aboutTools
		ToolIcon {
			iconId: "toolbar-back";
			onClicked: { pageStack.pop(); }
		}

	}
	PageHeader {
		id: headerP
		text: "About"
	}
	Item {
		anchors.top: headerP.bottom
		anchors.left: parent.left
		anchors.right: parent.right
		anchors.bottom: parent.bottom
		Column {

			anchors.horizontalCenter: parent.horizontalCenter
			anchors.verticalCenter: parent.verticalCenter
			spacing: 10
			Image {
				id: progIcon
				anchors.horizontalCenter: parent.horizontalCenter
				source: "./images/icon_160.png"

				smooth: true
				sourceSize.width: 160
				sourceSize.height: 160
			}

			Text {	id: progName
				anchors.horizontalCenter: parent.horizontalCenter

				font.pointSize: 40
				font.bold: true
				color: "Blue"
				text: "Sync Time"
			}
			Text {	id: progVersion
				anchors.horizontalCenter: parent.horizontalCenter

				font.pointSize: 24
				color: "Blue"
				text: "version 1.0.4"
			}
			Text {	id: progCopyright
				anchors.horizontalCenter: parent.horizontalCenter

				font.pointSize: 24
				color: "Blue"
				text: "Copyright (c) 2015 Nemti"
			}
		}
	}
}     
